Callings
Create Calling
Endpoint to create a new calling. Expects a JSON body with the calling details. The calling name must be unique.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/callings/" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'null{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}Get Callings GET
Endpoint to get all callings. Supports query parameters for filtering and pagination. Authenticated users can see all callings, while anonymous users can only see callings that are marked as public.
Get Calling GET
Endpoint to get a specific calling by its ID. Authenticated users can access all callings, while anonymous users can only access callings that are marked as public.